#ifndef PLAN_H
#define PLAN_H

#include "stdafx.h"
#include "IDessinable.h"
#include <vector>

// Dcrit un plan horizontal, centr  l'origine

class MorceauDePlan;

class Plan : public IDessinable
{
   std::vector <MorceauDePlan*> m_Cases;
   static const int
      NB_CASES_HAUT_DEFAUT,
      NB_CASES_LARGE_DEFAUT;
   const int m_NbCasesHaut, m_NbCasesLarge;
public:
   Plan(const D3DXVECTOR3 &_origine,
        IDirect3DDevice9 *pDevice,
        const int NbCasesHaut  = NB_CASES_HAUT_DEFAUT,
        const int NbCasesLarge = NB_CASES_LARGE_DEFAUT);
   virtual ~Plan();
   virtual void Draw(IDirect3DDevice9 *pDevice);
   virtual void DrawNoTransform(IDirect3DDevice9 *pDevice);
};

#endif // !defined PLAN_H
