#ifndef SOMMET_H
#define SOMMET_H

#include "stdafx.h"

struct SOMMET
{
   D3DXVECTOR3 m_Position; // Coordonnes 3D du sommet
   D3DXVECTOR3 m_Normale;  // Normale pour le sommet
   SOMMET () : m_Position (), m_Normale () { }
   SOMMET (D3DXVECTOR3 _position, D3DXVECTOR3 _normale)
      : m_Position (_position), m_Normale (_normale)
   { }
   SOMMET (const SOMMET &s)
      : m_Position (s.m_Position), m_Normale (s.m_Normale)
   { }
   static const int D3DFVF_SOMMET;
};

#endif // !defined SOMMET_H
