#ifndef UTIL_H
#define UTIL_H

// #define ESSAYER(x) { HRESULT ddrval;ddrval=long(x);if(ddrval!=D3D_OK) throw HRESULT(ddrval);}
template <class T>
void Essayer (T x) throw(T)
{
   HRESULT hr = static_cast<HRESULT>(x);
   if (hr != D3D_OK) throw hr;
}

// #define VALIDER(x) { HRESULT ddrval;ddrval=long(x);if(!ddrval) throw HRESULT(ddrval);}
template <class T>
void Valider (T x) throw(T)
{
   if (!x) throw (x);
}

// #define RELACHER(x) { if (x) x->Release(); x = 0;}
template <class T>
void Relacher (T &x)
{
   if (x) x->Release();
   x = 0;
}


#endif // !defined UTIL_H
